Bug 14793

Summary: Incorrect handling of percentage values for width/height on embedded elements
Product: WebKit Reporter: Oliver Hunt <oliver>
Component: SVGAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: hyatt, timur.mehrvarz, zimmermann
Priority: P2 Keywords: InRadar
Version: 523.x (Safari 3)   
Hardware: All   
OS: All   
URL: http://nerget.com/rightsizingtest.html
Bug Depends on: 10526    
Bug Blocks:    
Attachments:
Description Flags
Simple test case
none
Simple test case (fixed SVG MIME type) none

Description Oliver Hunt 2007-07-27 16:18:05 PDT
<rdar://problem/5362400>

CDF WICD 1.0 and CSS 2.1 describe the handling of  percentage 'width' and 'height' (Rightsizing) on embedded, scalable (SVG) elements.

The attached example should alway have a uniform horizontal and vertical gap
Comment 1 Oliver Hunt 2007-07-27 16:21:12 PDT
Created attachment 15711 [details]
Simple test case
Comment 2 David Kilzer (:ddkilzer) 2007-07-28 07:57:30 PDT
Created attachment 15719 [details]
Simple test case (fixed SVG MIME type)
Comment 3 Eric Seidel (no email) 2007-12-03 13:49:35 PST
This might just be a dup of bug 15849.
Comment 4 Oliver Hunt 2008-03-12 00:38:07 PDT
Hyatt could you look at what's required for this?  This looks like it's actually a matter of making the HTMLObjectElement resize correctly but i fear the html layout code
Comment 5 Nikolas Zimmermann 2010-07-08 01:31:46 PDT
Changed component to SVG, so it shows up in my all-svg-bugs search.
Comment 6 Nikolas Zimmermann 2011-05-27 05:40:04 PDT
The patch on bug 10526 fixes this bug.
Comment 7 Nikolas Zimmermann 2011-05-27 11:29:26 PDT
Fixed in r87526.